Page MenuHomePhabricator

Api: Don't log (un)reviewing or tagging as copyvio if state doesn't change
Closed, ResolvedPublicBUG REPORT

Description

Steps to reproduce (un)reviewing:

  1. Find a page that has been patrolled (or is not patrolled)
  2. Using the API, mark the page as patrolled (or unpatrolled)

Steps to reproduce copyvio:

  1. Tag a revision as a likely copyright violation
  2. Tag the same revision again

Expected result:

  • API returns result done and adds no log entry, since nothing changes

Actual result:

  • (un)reviewing: API returns result success and adds a log entry, even though nothing changed
  • copyvio: API returns result success, even though nothing changed

Event Timeline

Restricted Application added projects: Growth-Team, User-DannyS712. · View Herald TranscriptSep 27 2019, 5:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyS712 changed the subtype of this task from "Task" to "Bug Report".Sep 27 2019, 5:36 PM
DannyS712 moved this task from Unsorted to Page Curation on the User-DannyS712 board.

Change 539624 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/PageTriage@master] API: Don't log (un)reviewing if state doesn't change

https://gerrit.wikimedia.org/r/539624

The same applies to marking as a potential copyright a revision that is already marked; updating patch to include that

DannyS712 renamed this task from Api: Don't log (un)reviewing if state doesn't change to Api: Don't log (un)reviewing or tagging as copyvio if state doesn't change.Oct 5 2019, 12:03 AM
DannyS712 updated the task description. (Show Details)

@Trizek-WMF you moved this to "Needs Discussion/Analysis" in November - any idea when it will be discussed by the team?

@DannyS712 -- thanks for filing and working on this. I think you're in touch with @kostajh about this now.

I responded to the concerns @kostajh raised on the patch

kostajh moved this task from Incoming to QA on the Growth-Team (Current Sprint) board.

Change 539624 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] API: Alter behaviour if state doesn't change instead of proceeding

https://gerrit.wikimedia.org/r/539624

DannyS712 closed this task as Resolved.Mar 13 2020, 2:29 AM